OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
AnimationInfo Struct Reference

Information about animation. More...

`#include <newgrf_animation_type.h>`

## Data Fields
uint8 | frames
| The number of frames.
uint8 | status
| Status; 0: no looping, 1: looping, 0xFF: no animation.
uint8 | speed
| The speed, i.e. the amount of time between frames.
uint16 | triggers
| The triggers that trigger animation.

## Detailed Description

Information about animation.

Definition at line 20 of file newgrf_animation_type.h.

The documentation for this struct was generated from the following file:

- src/newgrf_animation_type.h